std::hash< string > Struct Reference

`#include <basic_string.h>`

## Public Types

typedef _Arg | argument_type
typedef _Result | result_type

## Public Member Functions

size_t | operator() (const string &__s) const noexcept

## Detailed Description

std::hash specialization for string.

Definition at line 4247 of file basic_string.h.

## Member Typedef Documentation

## argument_type

template<typename _Result, typename _Arg>

typedef _Arg std::__hash_base< _Result, _Arg >::argument_type

inherited

Definition at line 54 of file functional_hash.h.

## result_type

template<typename _Result, typename _Arg>

typedef _Result std::__hash_base< _Result, _Arg >::result_type

inherited

Definition at line 53 of file functional_hash.h.

## Member Function Documentation

## operator()()

size_t std::hash< string >::operator() | ( | const string & | __s | ) | const

inline noexcept

Definition at line 4251 of file basic_string.h.

The documentation for this struct was generated from the following file:

- basic_string.h